Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.pingback
Class PingbackPlugin

    java.lang.Object
      org.blojsom.plugin.velocity.StandaloneVelocityPlugin
          org.blojsom.plugin.pingback.PingbackPlugin

All Implemented Interfaces:
  Listener, Plugin

public class PingbackPlugin
extends StandaloneVelocityPlugin
implements Plugin, Listener

Pingback plugin implements a pingback client to send pingbacks to any URLs in a blog entry according to the Pingback 1.0 specification.

Since:
  blojsom 3.0
Version:
  $Id: PingbackPlugin.java,v 1.6 2006/04/27 22:49:34 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`static java.lang.String` | `BLOJSOM_PINGBACK_PLUGIN_APPROVED`
`static java.lang.String` | `BLOJSOM_PINGBACK_PLUGIN_METADATA_IP` IP address meta-data
`static java.lang.String` | `BLOJSOM_PLUGIN_PINGBACK_METADATA_DESTROY`
`static java.lang.String` | `PINGBACK_PLUGIN_METADATA_SEND_PINGBACKS`
`static java.lang.String` | `PINGBACK_PREFIX_IP`

Fields inherited from class org.blojsom.plugin.velocity.StandaloneVelocityPlugin
`_servletConfig, _velocityProperties`

Constructor Summary
`PingbackPlugin()` Create a new instance of the Pingback plugin

Method Summary
`void` | `cleanup()` Perform any cleanup for the plugin.
`void` | `destroy()` Called when BlojsomServlet is taken out of service
`void` | `handleEvent(Event event)` Handle an event broadcast from another component
`void` | `init()` Initialize this plugin.
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries
`void` | `processEvent(Event event)` Process an event from another component
`void` | `setEventBroadcaster(EventBroadcaster eventBroadcaster)` Set the `EventBroadcaster` event broadcaster
`void` | `setFetcher(Fetcher fetcher)` Set the `Fetcher`
`protected void` | `setupEmail(Blog blog, Entry entry, org.apache.commons.mail.Email email)` Setup the pingback e-mail

Methods inherited from class org.blojsom.plugin.velocity.StandaloneVelocityPlugin
`mergeTemplate, setServletConfig, setVelocityProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PINGBACK_PREFIX_IP

    public static final java.lang.String PINGBACK_PREFIX_IP

See Also:
  Constant Field Values

### BLOJSOM_PINGBACK_PLUGIN_METADATA_IP

    public static final java.lang.String BLOJSOM_PINGBACK_PLUGIN_METADATA_IP

  IP address meta-data

  See Also:
    Constant Field Values

### BLOJSOM_PINGBACK_PLUGIN_APPROVED

    public static final java.lang.String BLOJSOM_PINGBACK_PLUGIN_APPROVED

See Also:
  Constant Field Values

### BLOJSOM_PLUGIN_PINGBACK_METADATA_DESTROY

    public static final java.lang.String BLOJSOM_PLUGIN_PINGBACK_METADATA_DESTROY

See Also:
  Constant Field Values

### PINGBACK_PLUGIN_METADATA_SEND_PINGBACKS

    public static final java.lang.String PINGBACK_PLUGIN_METADATA_SEND_PINGBACKS

See Also:
  Constant Field Values

Constructor Detail

### PingbackPlugin

    public PingbackPlugin()

  Create a new instance of the Pingback plugin

Method Detail

### setEventBroadcaster

    public void setEventBroadcaster(EventBroadcaster eventBroadcaster)

  Set the `EventBroadcaster` event broadcaster

  Parameters:
    `eventBroadcaster` - `EventBroadcaster`

### setFetcher

    public void setFetcher(Fetcher fetcher)

  Set the `Fetcher`

  Parameters:
    `fetcher` - `Fetcher`

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Overrides:
    `init` in class `StandaloneVelocityPlugin`
  Throws:
    `PluginException` - If there is an error initializing the plugin

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

### cleanup

    public void cleanup()
                 throws PluginException

  Perform any cleanup for the plugin. Called after `process(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.blojsom.blog.Blog, java.util.Map, org.blojsom.blog.Entry[])`.

  Specified by:
    `cleanup` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error performing cleanup for this plugin

### destroy

    public void destroy()
                 throws PluginException

  Called when BlojsomServlet is taken out of service

  Specified by:
    `destroy` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error in finalizing this plugin

### setupEmail

    protected void setupEmail(Blog blog,
                              Entry entry,
                              org.apache.commons.mail.Email email)
                       throws org.apache.commons.mail.EmailException

  Setup the pingback e-mail

  Parameters:
    `blog` - `Blog` information
    `email` - Email message
  Throws:
    `org.apache.commons.mail.EmailException` - If there is an error preparing the e-mail message

### handleEvent

    public void handleEvent(Event event)

  Handle an event broadcast from another component

  Specified by:
    `handleEvent` in interface `Listener`
  Parameters:
    `event` - `Event` to be handled

### processEvent

    public void processEvent(Event event)

  Process an event from another component

  Specified by:
    `processEvent` in interface `Listener`
  Parameters:
    `event` - `Event` to be handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD